org.apache.hadoop.yarn.webapp

## Interface SubView

- All Known Implementing Classes:
    AggregatedLogsBlock, AggregatedLogsNavBlock, FooterBlock, HeaderBlock, HtmlBlock, IndexedFileAggregatedLogsBlock, InfoBlock, JQueryUI, LipsumBlock, LogAggregationHtmlBlock, NavBlock, TFileAggregatedLogsBlock

      @InterfaceAudience.LimitedPrivate(value={"YARN","MapReduce"})
      public interface SubView

  Interface for SubView to avoid top-level inclusion

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderPartial()` render the sub-view

- - ### Method Detail

    - #### renderPartial

          void renderPartial()

      render the sub-view

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.